Bug 213472 - nedit crashes on FC6
nedit crashes on FC6
Product: Fedora
Classification: Fedora
Component: nedit (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-01 11:48 EST by peterschueller
Modified: 2013-07-02 19:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-08 15:34:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description peterschueller 2006-11-01 11:48:39 EST
Description of problem:

After the upgrade from FC5 to FC6 nedit crashes with an access violation.

Version-Release number of selected component (if applicable):


How reproducible:

Every time I start it.

Additional info:

After re-installing nedit-5.5-7.fc5.i386.rpm it works again.
Comment 1 Jindrich Novy 2006-11-03 05:50:06 EST
Works for me. Could you please install nedit-debuginfo and send me backtrace of
the crash? Or strace output?
Comment 2 peterschueller 2006-11-03 13:51:58 EST
#0  0x007ea89a in XtWidgetToApplicationContext () from /usr/lib/libXt.so.6
#1  0x00805986 in XtSetValues () from /usr/lib/libXt.so.6
#2  0x00818a62 in XtVaSetValues () from /usr/lib/libXt.so.6
#3  0x080db624 in set_values (old=0xbfa6bfe0, request=0xbfa6bcc0,
    new_w=0x8b4e620, args=0x8bb6a10, num_args=0xbfa6bc68)
    at BubbleButton.c:310
#4  0x008056ed in XtSetSensitive () from /usr/lib/libXt.so.6
#5  0x00805fc1 in XtSetValues () from /usr/lib/libXt.so.6
#6  0x00818a62 in XtVaSetValues () from /usr/lib/libXt.so.6
#7  0x080620dd in RefreshTabState (win=0x8b2aa58) at window.c:3518
#8  0x080535ba in EditNewFile (inWindow=0x0, geometry=0x0, iconic=0,
    languageMode=0x0, defaultPath=0x81318ff "") at file.c:131
#9  0x0804fb76 in main (argc=Cannot access memory at address 0xfb60
) at nedit.c:745
#10 0x0086cf2c in __libc_start_main () from /lib/libc.so.6
#11 0x0804e611 in _start ()
Comment 3 Jindrich Novy 2006-11-07 09:28:39 EST
Did yum install lesstif and removed openmotif during the update?
Comment 4 peterschueller 2006-11-08 14:14:01 EST
I don't think so:

> grep "\(lesstif\|openmotif\)" upgrade.log

shows nothing.

> rpm -q -a | grep "\(lesstif\|openmotif\)"

Isn't openmotif part of FC6? I can't find it!
Or shall I try installing lesstif?
Comment 5 Jindrich Novy 2006-11-08 15:32:18 EST
This is the source of your problem. nedit-5.5-10.fc6 is built agaist lesstif,
but you have only openmotif libraries installed. lesstif is the replacement of
openmotif, so it uses same named but !different! libraries what is the cause of
the segfault. To fix it remove openmotif completely as it conflicts with
lesstif, and replace it with lesstif, then nedit will work as expected.

Note You need to log in before you can comment on or make changes to this bug.